> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bubblemaps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Token

<Info>**Credit cost:** 0.5 per request.</Info>

Search tokens by name, ticker, or address.


## OpenAPI

````yaml GET /v0/tokens/search
openapi: 3.1.0
info:
  title: Bubblemaps Data API
  version: 0.2.2
servers:
  - url: https://api.bubblemaps.io
security: []
paths:
  /v0/tokens/search:
    get:
      tags:
        - v0
      summary: Search Tokens
      operationId: search_tokens_v0_tokens_search_get
      parameters:
        - name: query
          in: query
          required: true
          schema:
            type: string
            minLength: 2
            title: The query to search for
            examples:
              - bubblemaps
              - bmt
              - FQgtfugBdpFN7PZ6NdPrZpVLDBrPGxXesi4gVu3vErhY
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TokenDetailsV0'
                title: Response Search Tokens V0 Tokens Search Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TokenDetailsV0:
      properties:
        token_key:
          $ref: '#/components/schemas/TokenKey'
        metadata:
          $ref: '#/components/schemas/TokenMetadata'
      type: object
      required:
        - token_key
        - metadata
      title: TokenDetailsV0
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TokenKey:
      properties:
        chain:
          $ref: '#/components/schemas/ChainIdV0'
        address:
          type: string
          title: Address
      type: object
      required:
        - chain
        - address
      title: TokenKey
    TokenMetadata:
      properties:
        name:
          type: string
          title: Name
        symbol:
          type: string
          title: Symbol
        is_indexed:
          type: boolean
          title: Is Indexed
        img_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Img Url
      type: object
      required:
        - name
        - symbol
        - is_indexed
      title: TokenMetadata
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ChainIdV0:
      type: string
      enum:
        - eth
        - base
        - solana
        - tron
        - bsc
        - sonic
        - ton
        - avalanche
        - polygon
        - monad
        - hyperevm
        - arbitrum
        - robinhood
      title: ChainIdV0
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-ApiKey

````